import { menuItemClasses } from '@mui/material/MenuItem';
export const MuiMenuItem = {
    styleOverrides: {
        root({ theme }) {
            return {
                padding: theme.spacing(2, 2, 2, 3),
                '&:hover': {
                    backgroundColor: theme.palette.background.elementHover,
                },
                [`&.${menuItemClasses.selected}`]: {
                    background: `linear-gradient(90deg, ${theme.palette.primary.main} 0, ${theme.palette.primary.main} 3px, ${theme.palette.primary['100']} 3px)`,
                },
                [`&.${menuItemClasses.gutters}`]: {
                    minHeight: theme.spacing(8),
                    padding: theme.spacing(1, 3, 1, 3),
                },
                [theme.breakpoints.down('sm')]: {
                    padding: theme.spacing(3, 3, 4, 3),
                    [`&.${menuItemClasses.gutters}`]: {
                        minHeight: '48px',
                        padding: theme.spacing(2, 3, 3, 3),
                    },
                },
            };
        },
    },
};
export default MuiMenuItem;
